import { c as createStore } from './index3.js';

const filterParamsInitialState = {};
const propsParamsInitialState = {};
const filterParamsStore = createStore(() => filterParamsInitialState);
const { state: filterParams, on: onQueryParamsChange } = filterParamsStore;
const propsParamsStore = createStore(() => propsParamsInitialState);
const { state: propsParams } = propsParamsStore;
const getRequestParams = () => {
    return Object.assign(Object.assign({}, filterParams), propsParams);
};
const clearParams = () => {
    filterParamsStore.reset();
};

export { clearParams as c, filterParams as f, getRequestParams as g, onQueryParamsChange as o, propsParams as p };
